import request from '@/utils/request'

// 查询教学视频列表
export function listLzydTeachVideo(query) {
  return request({
    url: '/system/LzydTeachVideo/list',
    method: 'get',
    params: query
  })
}

// 查询教学视频详细
export function getLzydTeachVideo(id) {
  return request({
    url: '/system/LzydTeachVideo/' + id,
    method: 'get'
  })
}

// 新增教学视频
export function addLzydTeachVideo(data) {
  return request({
    url: '/system/LzydTeachVideo',
    method: 'post',
    data: data
  })
}

// 修改教学视频
export function updateLzydTeachVideo(data) {
  return request({
    url: '/system/LzydTeachVideo',
    method: 'put',
    data: data
  })
}

// 删除教学视频
export function delLzydTeachVideo(id) {
  return request({
    url: '/system/LzydTeachVideo/' + id,
    method: 'delete'
  })
}

// 导出教学视频
export function exportLzydTeachVideo(query) {
  return request({
    url: '/system/LzydTeachVideo/export',
    method: 'get',
    params: query
  })
}